.btn {
  @apply w-full inline-flex items-center justify-center border border-transparent rounded shadow-sm font-semibold text-center;
}
.btn:focus {
  @apply outline-none;
}

.btn:disabled {
  @apply pointer-events-none opacity-25;
}

/* Sizes */
.btn.xsmall  {
  @apply text-xs px-3 py-2;
}
.btn.small  {
  @apply text-sm px-4 py-2;
}
.btn.base {
  @apply px-4 py-2 text-base;
}
.btn.large {
  @apply text-lg px-6 py-3;
}
.btn.xlarge {
  @apply text-xl px-6 py-3;
}

/* Colors */
.btn.primary {
  @apply bg-primary-300 text-white;
}
.btn.secondary {
  @apply bg-secondary-300 text-white;
}

.btn.primary:hover,
.btn.primary:focus {
  @apply bg-primary-400;
}
.btn.secondary:hover,
.btn.secondary:focus {
  @apply bg-secondary-400;
}

/* Icon */
.btn.icon.left > i {
  @apply -ml-1 mr-2;
}
.btn.icon.right > i {
  @apply ml-2 -mr-1;
}